// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: { title: '首页' },
    redirect: '/home',
    children: [
      {
        path: '/home',
        name: 'home',
        redirect: '/home',
        component: PageView,
        meta: {
          title: '首页',
          icon: 'home'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/home',
            name: 'home',
            component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
            meta: {
              title: '首页',
              icon: 'home',
              hide: true
            }
          }
        ]
      },
      {
        path: '/changePwd',
        name: 'changePwd',
        component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
        meta: {
          title: '修改密码',
          icon: 'home'
        },
        hidden: true
      },
      // 货架管理
      {
        path: '/numsGoodsShelves',
        redirect: '/numsGoodsShelves/goodsShelvesAdministration',
        component: PageView,
        meta: {
          title: '数字货架',
          icon: 'hdd',
          permission: 'M_numsGoodsShelves'
        },
        children: [
          {
            path: '/numsGoodsShelves/goodsShelvesAdministration',
            redirect: '/numsGoodsShelves/goodsShelvesAdministration/list',
            name: 'goodsShelvesAdministration',
            component: BlankLayout,
            meta: {
              title: '货架管理',
              icon: 'monitor',
              permission: 'M_goodsShelvesAdministration'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'goodsShelvesAdministrationList',
                component: () => import('@/views/numsGoodsShelves/goodsShelvesAdministration/list.vue'),
                meta: {
                  title: '货架管理列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQueryList'
                }
              },
              {
                path: 'hwSet/:shelfSn',
                name: 'goodsAllocationSet',
                component: () => import('@/views/numsGoodsShelves/goodsShelvesAdministration/goodsAllocationSet.vue'),
                meta: {
                  title: '货位设置',
                  hidden: true,
                  replaceTab: true
                  // permission: 'M_salesNew'
                }
              },
              {
                path: 'jsSet/:shelfSn',
                name: 'settlementSet',
                component: () => import('@/views/numsGoodsShelves/goodsShelvesAdministration/settlementSet.vue'),
                meta: {
                  title: '结算设置',
                  hidden: true,
                  replaceTab: true
                  // permission: 'M_salesNew'
                }
              }
            ]
          },
          {
            path: '/numsGoodsShelves/bondManagement',
            name: 'bondManagementList',
            component: () => import('@/views/numsGoodsShelves/bondManagement/list.vue'),
            meta: {
              title: '保证金管理',
              icon: 'user',
              permission: 'M_bondManagement'
            }
          },
          {
            path: '/numsGoodsShelves/partsDealerManagement',
            name: 'partsDealerManagementList',
            component: () => import('@/views/numsGoodsShelves/partsDealerManagement/list.vue'),
            meta: {
              title: '配件经销商管理',
              icon: 'user',
              permission: 'M_partsDealerManagement '
            }
          },
          {
            path: '/numsGoodsShelves/redPacket',
            redirect: '/numsGoodsShelves/redPacket/list',
            name: 'redPacket',
            component: BlankLayout,
            meta: {
              title: '红包活动设置',
              icon: 'monitor',
              permission: 'M_redPacket_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'redPacketList',
                component: () => import('@/views/numsGoodsShelves/redPacket/list.vue'),
                meta: {
                  title: '红包活动设置',
                  icon: 'monitor',
                  hidden: true
                }
              },
              {
                path: 'edit/:sn',
                name: 'redPacketEdit',
                component: () => import('@/views/numsGoodsShelves/redPacket/edit.vue'),
                meta: {
                  title: '编辑红包活动',
                  hidden: true,
                }
              },
              {
                path: 'add',
                name: 'redPacketAdd',
                component: () => import('@/views/numsGoodsShelves/redPacket/edit.vue'),
                meta: {
                  title: '新增红包活动',
                  hidden: true,
                }
              },
              {
                path: 'detail/:sn',
                name: 'redPacketDetail',
                component: () => import('@/views/numsGoodsShelves/redPacket/detail.vue'),
                meta: {
                  title: '红包活动详情',
                  hidden: true,
                }
              },
            ]
          },
          {
            path: '/numsGoodsShelves/redPacketStatistics',
            name: 'redPacketStatistics',
            component: () => import('@/views/numsGoodsShelves/redPacket/redPacketStatistics.vue'),
            meta: {
              title: '红包活动统计',
              icon: 'user',
              permission: 'M_redPacketStatistics_list'
            }
          },
        ]
      },
      // 数据统计
      {
        path: '/dataStatistics',
        redirect: '/dataStatistics/userAnalysis',
        component: PageView,
        meta: {
          title: '数据统计',
          icon: 'hdd',
          permission: 'M_dataStatistics'
        },
        children: [
          {
            path: '/dataStatistics/userAnalysis',
            redirect: '/dataStatistics/userAnalysis/list',
            name: 'userAnalysis',
            component: BlankLayout,
            meta: {
              title: '用户分析',
              icon: 'monitor',
              permission: 'M_userAnalysisList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'userAnalysisList',
                component: () => import('@/views/dataStatistics/userAnalysis/list.vue'),
                meta: {
                  title: '用户分析',
                  icon: 'monitor',
                  hidden: true
                }
              },
              {
                path: 'registeredUser',
                name: 'registeredUser',
                component: () => import('@/views/dataStatistics/userAnalysis/registeredUser.vue'),
                meta: {
                  title: '注册用户',
                  hidden: true,
                }
              },
              {
                path: 'usedUser',
                name: 'usedUser',
                component: () => import('@/views/dataStatistics/userAnalysis/usedUser.vue'),
                meta: {
                  title: '使用用户',
                  hidden: true,
                }
              },
              {
                path: 'activeUser',
                name: 'activeUser',
                component: () => import('@/views/dataStatistics/userAnalysis/activeUser.vue'),
                meta: {
                  title: '活跃用户',
                  hidden: true,
                }
              }
            ]
          },
          {
            path: '/dataStatistics/orderDataSummary',
            name: 'orderDataSummary',
            component: () => import('@/views/dataStatistics/orderDataSummary/list.vue'),
            meta: {
              title: '订单数据汇总',
              icon: 'user',
              permission: 'M_orderDataSummary'
            }
          },
        ]
      },
      // 系统设置
      {
        path: '/auth',
        redirect: '/auth/userList',
        component: PageView,
        meta: {
          title: '权限管理',
          icon: 'lock',
          permission: 'M_power'
        },
        children: [
          {
            path: '/auth/userList',
            name: 'powerUserList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
            meta: {
              title: '用户管理',
              icon: 'user',
              permission: 'M_user'
            }
          },
          {
            path: '/auth/roleList',
            name: 'powerRoleList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
            meta: {
              title: '角色管理',
              icon: 'solution',
              permission: 'M_role'
            }
          },
          {
            path: '/menusAuth/adminMenus',
            name: 'adminMenus',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/bnSetting/menu/adminMenus.vue'),
            meta: {
              title: '菜单管理',
              icon: 'appstore',
              permission: 'M_menu'
            }
          }
        ]
      },
      {
        path: '/setting',
        redirect: '/setting/userList',
        component: PageView,
        meta: {
          title: '系统设置',
          icon: 'setting',
          permission: 'M_systemSet'
        },
        children: [
          {
            path: '/setting/dataDictionary',
            name: 'powerDD',
            component: () => import(/* webpackChunkName: "setting" */
              '@/views/power/dataDictionary/dataDictionary.vue'),
            meta: {
              title: '数据字典管理',
              icon: 'database',
              permission: 'M_dataDictionary'
            }
          },
          // {
          //   path: '/setting/register',
          //   name: 'powerRegister',
          //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
          //   meta: {
          //     title: '参数管理',
          //     icon: 'key',
          //     permission: 'M_sys_register'
          //   }
          // },
          {
            path: '/setting/OperateJournal',
            name: 'powerOperateJournal',
            component: () => import(/* webpackChunkName: "setting" */
              '@/views/power/OperateJournal/OperateJournal.vue'),
            meta: {
              title: '操作日志',
              icon: 'read',
              permission: 'M_OperateJournal'
            }
          }
          // {
          //   path: '/setting/noticeManagement',
          //   redirect: '/setting/noticeManagement/list',
          //   name: 'noticeManagement',
          //   component: BlankLayout,
          //   meta: {
          //     title: '公告管理',
          //     icon: 'sketch',
          //     permission: 'M_noticeManagementList'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'noticeManagementList',
          //       component: () => import(/* webpackChunkName: "setting" */ '@/views/setting/noticeManagement/list.vue'),
          //       meta: {
          //         title: '公告列表',
          //         icon: 'sketch',
          //         hidden: true,
          //         permission: 'M_noticeManagementList'
          //       }
          //     }
          //   ]
          // }
        ]
      }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },
  {
    path: '/updateBrowser',
    name: 'updateBrowser',
    component: () => import(/* webpackChunkName: "user" */ '@/views/exception/updateBrowser')
  },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }
]
